For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

List simulation sessions

||View as Markdown|
GET
/simulations/sessions
GET
/v2/simulations/sessions
$curl https://api.synthflow.ai/v2/simulations/sessions \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 1,
7 "offset": 0
8 },
9 "items": [
10 {
11 "simulation_session_id": "string",
12 "simulations": [
13 {
14 "simulation_id": "string",
15 "simulation_session_id": "string",
16 "simulation_case_id": "string",
17 "simulation_case_name": "string",
18 "simulation_case_prompt": "string",
19 "success_criteria": [
20 "string"
21 ],
22 "call_success_type": "all",
23 "persona_agent_id": "string",
24 "persona_phone_number": "string",
25 "target_agent_id": "string",
26 "agent_name": "string",
27 "agent_avatar_url": "string",
28 "target_phone_number": "string",
29 "target_call_id": "string",
30 "custom_variables": {},
31 "status": "in-progress",
32 "workspace_id": "string",
33 "created_at": "2024-01-15T09:30:00Z",
34 "updated_at": "2024-01-15T09:30:00Z",
35 "error_info": {
36 "message": "string",
37 "code": 1,
38 "type": "string"
39 },
40 "recording_url": "string",
41 "timeline": [
42 {
43 "sender_type": "string",
44 "value": "string",
45 "type": "string",
46 "timestamp_datetime": "2024-01-15T09:30:00Z",
47 "timestamp": 1.1
48 }
49 ],
50 "success_criteria_analysis": {
51 "success": true,
52 "evaluations": [
53 {
54 "success": true,
55 "reasoning": "string"
56 }
57 ]
58 }
59 }
60 ],
61 "total_simulations": 1,
62 "completed_simulations": 1,
63 "failed_simulations": 1,
64 "pending_simulations": 1
65 }
66 ]
67 }
68}
List simulation sessions with pagination and optional filters.
Was this page helpful?
Previous

Get a simulation session

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

page_numberintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-100Defaults to 10
Number of items per page.
target_agent_idstringOptional
Filter by target agent ID.
start_datedatetimeOptional

Filter by simulation created_at >= start_date (ISO 8601).

end_datedatetimeOptional

Filter by simulation created_at <= end_date (ISO 8601).

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error